<?
define("ADMIN_AUTHORIZATION",1);
include("../../../includes/common.php");

$table = "currencies";

$id = intval(trim($_GET['id']=="")?trim($_POST['id']):trim($_GET['id']));



$CheckObj=new TCheckForm;

//$res=pg_query($DB_LINK, );

/*getting row*/
if($id>0){
	$row = mysql_fetch_object(mysql_query("select * from $table where id=$id"));
	$name = htmlspecialchars(stripslashes($row->name));
	$code = htmlspecialchars(stripslashes($row->code));
	$country = intval($row->country_id);
}
else{
	$id=-1;
}

/* generating fields */
$fields=Array();
if ($id>0) {
    $fields[id]=Array($id,'ID:');
}

$country_opts = "";
$res = mysql_query("select * from countries order by name_rus");
while($row=mysql_fetch_object($res))
{
	$country_opts .= "<option value=\"$row->id\">$row->name_rus</option>\n";
}

$fields = Array_Merge($fields,Array(
	"name" => Array('<input type="text" size=60 class="text_input">','Название', 'Укажите название валюты, пожалуйста'),
	"country" => Array("<select>
					<option value=0>International
					<option value=-1>-------------
					$country_opts
					</select>",'Страна:','Укажите страну, пожалуйста.'),
	"code" => Array('<input type="text" size=60 class="text_input">','Код', "Укажите код, пожалуйста"),
));


if(isset($_POST['subm'])){
	reset ($_POST);
	while (list($key, $value) = each ($_POST)) {
		$$key = $value;
	}
	$error = $CheckObj->LocalCheck();
	if(is_numeric($_POST['country'])&&$_POST['country'] > 0)
	{
		$row = mysql_fetch_object(mysql_query("select * from countries where id=".intval($_POST['country'])));
		if($row->id==""){
			$error .="Укажите страну, пожалуйста.<br>\n";
		}
	}
	elseif (0 != $_POST['country'])
	{
		$error .="Укажите страну, пожалуйста.<br>\n";
	}
	
		
	if($error==""){
		$arr = Array(
			"name" => addslashes($name),
			"country_id" => intval($country),
			"code" => addslashes(strtoupper($code))
		);
		
		if(($id<0?AddRecord($table,$arr,true):UpdateRecord($table,$arr,$id)) ){
			$_SESSION['STATUS_MSG'] = "Информация успешно сохранена!";
			header("Location: ./currencies.php");
			exit;
		}
		else{
			$_SESSION['ERROR_MSG'] = "Ошибка при работе с базой данных.";
			header("Location: ./currencies.php");
			exit;
		}
	}
}	
foreach($fields as $key=>$value){
	$$key=htmlspecialchars(stripslashes($$key));
	$smarty->assign($key,$$key);
}


/* smarty */
$smarty->assign('id',$id);

$page_title = $id>0?"Редактирование валюты":"Добавление валюты";
$smarty->assign('index_page','./index.php?l_pager');
$smarty->assign('page_title',$page_title);
$smarty->assign('top_menu_tpl',"admin_cources_menu.tpl");

$smarty->assign('error',$error);
$smarty->assign('status',$status);

/* table template */
$smarty->assign('fields',$fields);
$smarty->assign('table_width',"95%");
$smarty->assign('main_tpl',"admin_add_form.tpl");
/* display content */
$smarty->display('admin_index.tpl');

?>